Bug 436323 - cannot disable "Open Terminal" context Menu in dolphin
Summary: cannot disable "Open Terminal" context Menu in dolphin
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 21.04.0
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-28 19:22 UTC by pankracypl
Modified: 2021-05-10 15:03 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pankracypl 2021-04-28 19:22:54 UTC
SUMMARY
In version "4:20.12.3-0xneon+20.04+focal+build25" was konsolehere.desktop in /usr/share/kservices5/ServiceMenus/ to handle "Open Terminal Here" context menu.
Now in "4:21.04.0-0xneon+20.04+focal+release+build26" this is built-in and cannot be disabled by "Configure Dolphin...".

OBSERVED RESULT
"Open Terminal" is on top over all user services menu.

EXPECTED RESULT
Ability to disable "Open Terminal" context menu (to use user defined terminal servicemenu)

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: KDE Neon User Edition 5.21
KDE Plasma Version: 5.21.4
KDE Frameworks Version: 5.81.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Can be tested in neon-user-20210422-0944.iso and neon-unstable-20210425-0329.iso to see difference.
Comment 1 Bug Janitor Service 2021-04-29 07:57:20 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/204
Comment 2 Alexander Lohnau 2021-05-10 15:03:28 UTC
Git commit 08a4edad3ee4ab4b997e5a7567b0ea685cad078d by Alexander Lohnau.
Committed on 10/05/2021 at 11:22.
Pushed by alex into branch 'master'.

DolphinContextMenu: Allow disabling "Open Terminal" action
FIXED-IN: 21.08

M  +1    -1    src/dolphincontextmenu.cpp
M  +4    -0    src/settings/contextmenu/contextmenusettingspage.cpp
M  +4    -0    src/settings/dolphin_contextmenusettings.kcfg
M  +2    -1    src/settings/dolphinsettingsdialog.cpp

https://invent.kde.org/system/dolphin/commit/08a4edad3ee4ab4b997e5a7567b0ea685cad078d